Bug 1277399 - Plymouth LUKS password dialog disappears quickly on boot of live usb
Summary: Plymouth LUKS password dialog disappears quickly on boot of live usb
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-03 09:11 UTC by lapseofreason0
Modified: 2021-03-13 05:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:24:49 UTC
Type: Bug


Attachments (Terms of Use)

Description lapseofreason0 2015-11-03 09:11:30 UTC
Description of problem:

When copying a Fedora live image to USB and enabling the encrypted persistent home option, the plymouth password entry screen is only shortly visible and then disappears. As a result, it is not possible to insert the LUKS passphrase and the boot hangs because it is waiting to decrypt the home partition.


Version-Release number of selected component (if applicable):

livecd-tools.x86_64                    1:22.2-1.fc22                    @updates
plymouth.x86_64                 0.8.9-9.2013.08.14.fc22                  @System
spin-kickstarts.noarch                   0.22.5-1.fc22                   @fedora
systemd.x86_64                       219-25.fc22                        @updates


How reproducible:

Every time.


Steps to Reproduce:
1. Download the Fedora live XFCE spin.
2. Copy the live image to USB with livecd-iso-to-disk, setting an encrypted home partition: livecd-iso-to-disk --extra-kernel-args "persistenthome=UUID=X-X-X-X" /path/to/iso/file.iso  /dev/sdbX
3. Reboot from USB and wait for passphrase dialog to appear.


Actual results:

The plymouth password entry screen briefly appears, but then disappears as other systemd services are started. As a result, boot hangs because it is waiting for passphrase, which cannot be inserted.


Expected results:

The pymouth password dialog shows up, the user inserts the password, and boot continues.


Additional info:

This happens also in basic graphics mode. I expect systemd to be responsible for this, because it continues loading other services that mask the boot prompt.

The script from which plymouth ask-for-password is called is in the file fedora-live-base.ks from the spin-kickstarts package.

Comment 1 rmhristev 2016-02-18 05:16:02 UTC
Same on Fedora 23

Comment 2 Fedora End Of Life 2016-07-19 18:24:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Frederick Grose 2020-03-10 01:41:45 UTC
Please reopen this bug.  This problem continues in Fedora Workstation 31

Comment 4 Frederick Grose 2020-03-10 12:21:12 UTC
With Fedora 31 and most previous releases the password may be entered after the password: prompt appears on bootup.  The text mode startup continues to scroll, hiding the prompt, but it reappears once typing of a password continues.  The startup will continue to graphical completion.


Note You need to log in before you can comment on or make changes to this bug.